define(
    [
        'jquery',
        'uiComponent',
        'Magento_Checkout/js/model/step-navigator',
    ],
    function($, Component, stepNavigator) {
        'use strict';
        return Component.extend({
            defaults: {
                template: 'FiloBlu_CheckoutExtend/back-to-cart-block'
            },

            isVisibleBackToCart: function() {
                return !stepNavigator.isProcessed('shipping');
            },
            
            isVisibleBackToShipping: function() {
                return stepNavigator.isProcessed('shipping');
            },
            navigateToShipping: function() {
                return stepNavigator.navigateTo('shipping');
            },
            navigateToCart: function(e) {
                window.location = window.checkoutConfig.cartUrl;
                return;
            },

            initialize: function () {
                var self = this;
                this._super();
            }
        });
    }
);